import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/agents',
    method: 'get',
    params: {
      limit: query.limit,
      offset: (query.page - 1) * query.limit,
      name: query.name
    //   chipsSort: query.chipsSort,
    //   updatedSort: query.updatedSort
    }
  })
}

export function createAgent(data) {
  return request({
    url: '/agents',
    method: 'post',
    data: {
      name: data.name,
      feeRatio: data.feeRatio
    }
  })
}

export function fetchMemberList(data, query) {
  return request({
    url: `/agents/${data.GambleMember.id}/gambleMembers`,
    method: 'get',
    params: {
      limit: query.limit,
      offset: (query.page - 1) * query.limit
      // name: query.name
    //   chipsSort: query.chipsSort,
    //   updatedSort: query.updatedSort
    }
  })
}

