import request from '@/utils/request'

export function fetchWechatRooms(query) {
  return request({
    url: `/weChatRooms`,
    method: 'get',
    params: {
      limit: query.limit,
      offset: (query.page - 1) * query.limit,
      startAt: query.startAt,
      endAt: query.endAt,
      name: query.name
    }
  })
}

export function createWeChatRoom(data) {
  return request({
    url: `/weChatRooms`,
    method: 'post',
    data: {
      name: data.name
    }
  })
}
